: Class GraphicsUtil

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class GraphicsUtil

    java.lang.Object
      |
      +--GraphicsUtil

public class GraphicsUtil
extends java.lang.Object

Implements some methods not found in jdk 1.1

Constructor Summary
`GraphicsUtil()`

Method Summary
`static void` | `drawThickLine(double r, java.awt.Graphics g, double x1, double y1, double x2, double y2)` Plot a thick line from (x1, y1) to (x2,y2) with radius r
`static void` | `drawThickLine(int r, java.awt.Graphics g, int x1, int y1, int x2, int y2)` Plot a thick line from (x1, y1) to (x2,y2) with radius r
`static void` | `drawThickOval(int r, java.awt.Graphics g, int x, int y, int r1, int r2)` Plot a thick line from (x1, y1) to (x2,y2) with radius r

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### GraphicsUtil

    public GraphicsUtil()

Method Detail

### drawThickLine

    public static void drawThickLine(int r,
                                     java.awt.Graphics g,
                                     int x1,
                                     int y1,
                                     int x2,
                                     int y2)

  Plot a thick line from (x1, y1) to (x2,y2) with radius r

### drawThickLine

    public static void drawThickLine(double r,
                                     java.awt.Graphics g,
                                     double x1,
                                     double y1,
                                     double x2,
                                     double y2)

  Plot a thick line from (x1, y1) to (x2,y2) with radius r

### drawThickOval

    public static void drawThickOval(int r,
                                     java.awt.Graphics g,
                                     int x,
                                     int y,
                                     int r1,
                                     int r2)

  Plot a thick line from (x1, y1) to (x2,y2) with radius r

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD